# class KTarGz | A class for reading/writing gzipped tar balls. More...
Definition | `#include <ktar.h>`
Inherits | KTarBase [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KTarGz ( const QString& filename )
- virtual ~KTarGz ()
- virtual bool open ( int mode )
- virtual void close ()
- QString fileName ()

## Detailed Description

KTarGz ( const QString& filename ) | ### KTarGz

Creates an instance that operates on the given filename.

Parameters:

filename | has the format "/home/weis/myfile.tgz" or something like that.

See also: open

~KTarGz () | ### ~KTarGz

[virtual]

If the tar ball is still opened, then it will be closed automatically by the destructor.

bool open ( int mode ) | ### open

[virtual]

Opens the tar file for reading or writing.

Parameters:

mode | may be IO_ReadOnly or IO_WriteOnly

See also: close

Reimplemented from KTarBase.

void close () | ### close

[virtual]

Closes the tar file.

See also: open

Reimplemented from KTarBase.

QString fileName () | ### fileName

The name of the tar file, as passed to the constructor

- Author: Torben Weis <weis@kde.org>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:36 2001, using kdoc 2.0a53.